using Entities.Contracts;
using Entities.DTO;
using Entities.DTO.Class;
using System.Net;

namespace TechHelper.Services
{
	public interface IClassService : IBaseService<ClassDto, Guid>
	{
	public Task<ApiResponse> UserRegister(RegisterUserToClassDto user);
		public Task<ApiResponse> GetUserClass(Guid user); // List<Class>
		public Task<ApiResponse> GetUserClassRole(Guid user); // List<UserClassRoleDto>
		public Task<ApiResponse> GetClassStudents(ClassDto classDto); // Class
		public Task<ApiResponse> GetGradeClasses(byte Grade); // Class
		public Task GetClassStudents(byte Grade, byte Class);
	}
}
